Intermittent eventsource/eventsource-reconnect.htm | EventSource: reconnection 200 - Test timed out

REOPENED
Unassigned
(NeedInfo from)

Status

()

Core
DOM: Events
P3
normal
REOPENED
2 years ago
a year ago

People

(Reporter: RyanVM, Unassigned, NeedInfo)

Tracking

({intermittent-failure})

Trunk
x86
Windows 7
intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox42 affected)

Details

06:32:38 INFO - TEST-START | /eventsource/eventsource-reconnect.htm
06:32:38 INFO - PROCESS | 2300 | WARNING: content window passed to PrivateBrowsingUtils.isWindowPrivate. Use isContentWindowPrivate instead (but only for frame scripts).
06:32:38 INFO - PROCESS | 2300 | pbu_isWindowPrivate@resource://gre/modules/PrivateBrowsingUtils.jsm:25:14
06:32:38 INFO - PROCESS | 2300 | nsBrowserAccess.prototype.openURI@chrome://browser/content/browser.js:16039:21
06:32:38 INFO - PROCESS | 2300 | __marionetteFunc@dummy file:27:30
06:32:38 INFO - PROCESS | 2300 | @dummy file:36:3
06:32:38 INFO - PROCESS | 2300 | executeWithCallback@chrome://marionette/content/listener.js:771:5
06:32:38 INFO - PROCESS | 2300 | executeAsyncScript@chrome://marionette/content/listener.js:645:3
06:32:48 INFO - PROCESS | 2300 | MARIONETTE LOG: INFO: Timeout fired
06:32:48 INFO - TEST-UNEXPECTED-TIMEOUT | /eventsource/eventsource-reconnect.htm | EventSource: reconnection 200 - Test timed out
06:32:48 INFO - TEST-PASS | /eventsource/eventsource-reconnect.htm | EventSource: reconnection, test reconnection events
06:32:48 INFO - TEST-UNEXPECTED-TIMEOUT | /eventsource/eventsource-reconnect.htm | expected OK
06:32:48 INFO - TEST-INFO took 10076ms
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
[Mass Closure] Closing Intermittent as a one off
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → WORKSFORME
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---

Comment 10

2 years ago
I've had some problems with eventsource in Firefox 43.0.2  

Connections disconnect randomly.  And then don't reconnect.  

I wonder if related.  I'm just digging before making a new bug report.
Tim, could you please file a new bug (Core: DOM). This bug is about randomly failing test, and might be about the same issue you're seeing, but would be good to have separate bug to deal with the possible issue in Gecko.
Flags: needinfo?(tim)

Comment 12

a year ago
Bulk assigning P3 to all open intermittent bugs without a priority set in Firefox components per bug 1298978.
Priority: -- → P3
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* autoland: 2

Platform breakdown:
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1186131&startday=2016-09-12&endday=2016-09-18&tree=all
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 6
* autoland: 3

Platform breakdown:
* linux64: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1186131&startday=2016-09-19&endday=2016-09-25&tree=all
13 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 7
* autoland: 4
* try: 1
* fx-team: 1

Platform breakdown:
* linux64: 13

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1186131&startday=2016-09-26&endday=2016-10-02&tree=all
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* autoland: 2

Platform breakdown:
* linux64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1186131&startday=2016-10-03&endday=2016-10-09&tree=all
You need to log in before you can comment on or make changes to this bug.